MAKEMAP(8)

NUME
makemap - creează hărți de baze de date pentru sendmail

SINOPSIS
makemap [-C fișier] [-N] [-c dimensiune-cache] [-d] [-D caracter-comentariu] [-e] [-f] [-i tip] [-l] [-o] [-r] [-s] [-t delimitator] [-u] [-v] tip-hartă nume-hartă

DESCRIERE
makemap creează hărțile bazei de date utilizate de căutările de hărți cu cheie în sendmail(8). Acesta citește datele de intrare de la intrarea standard și le transmite la nume-hartă indicat.

În funcție de modul în care este compilat, makemap gestionează diferite formate de baze de date, selectate cu ajutorul parametrului tip-hartă. Acestea pot fi

dbm Hărți în format DBM. Pentru aceasta este necesară biblioteca ndbm(3).

btree
    Hărți în format B-Tree. Pentru aceasta este necesară noua bibliotecă Berkeley DB.

hash
    Hărți în format hash. Acesta necesită, de asemenea, biblioteca Berkeley DB.

cdb Hărți în format CDB (Constant DataBase). Acesta necesită biblioteca tinycdb.

implicit
    Primul format disponibil în următoarea ordine: hash, dbm și cdb.

În toate cazurile, makemap citește linii de la intrarea standard care constau din două cuvinte separate prin spațiu în alb. Primul este cheia bazei de date, iar al doilea este valoarea. Valoarea poate conține șiruri de caractere „%n” pentru a indica înlocuirea parametrilor. Procentele literale trebuie dublate („%%”). Liniile goale și liniile care încep cu „#” sunt ignorate.

Observație: nu folosiți makemap pentru a crea baza de date de aliasuri, ci newaliases care pune un token special în baza de date care este cerut de sendmail.

Dacă opțiunea TrustedUser (utilizator de încredere) este definită în fișierul de configurare sendmail și makemap este apelat ca root, fișierele generate vor fi deținute de TrustedUser specificat.

  Flags

-C  Utilizează fișierul de configurare sendmail specificat pentru căutarea opțiunii TrustedUser.

-N  Include octetul nul care termină șirurile de caractere în hartă. Acesta trebuie să corespundă cu fanionul -N din linia „K” din sendmail.cf.

-c  Utilizează hash-ul și dimensiunea cache-ului B-Tree specificate.

-D  Utilizată pentru a specifica caracterul care trebuie utilizat pentru a indica un comentariu (care este ignorat) în loc de caracterul implicit „#”.

-d  Permite cheile duplicate în hartă. Acest lucru este permis numai în cazul hărților în format B-Tree. În cazul în care sunt citite două chei identice, ambele vor fi introduse în hartă.

-e  Permite o valoare goală (partea din dreapta).

-f  În mod normal, toate literele majuscule din cheie sunt convertite în minuscule. Această opțiune dezactivează acest comportament. Aceasta este menită să se potrivească cu fanionul -f din linia K din sendmail.cf. Valoarea nu este niciodată transformată în majuscule.

-i  Utilizează tipul specificat ca soluție de rezervă în cazul în care tipul tip-hartă dat nu este disponibil.

-l  Listează tipurile de hărți acceptate.

-o  Adaugă la un fișier vechi. Acest lucru vă permite să măriți un fișier existent. Notă: este posibil ca acest lucru să nu fie acceptat de toate tipurile de baze de date, de exemplu, cdb.

-r  Permite înlocuirea cheilor existente. În mod normal, makemap se plânge dacă se repetă o cheie și nu face inserția.

-s  Ignoră verificările de siguranță pe hărțile în curs de creare. Aceasta include verificarea legăturilor dure sau simbolice în directoare inscriptibile la nivel global (de ceilalți utilizatori).

-t  Utilizează delimitatorul specificat în locul spațiului în alb (de asemenea, pentru extragerea/afișarea unei hărți).

-u  Afișează (unmap) conținutul bazei de date la ieșirea standard.

-v  Afișează detaliat ceea ce face.

Exemplu
makemap hash /etc/mail/access < /etc/mail/access

CONSULTAȚI ȘI
sendmail(8), newaliases(1)

ISTORIC
Comanda makemap a apărut în 4.4BSD.

  TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org> Această traducere este documentație gratuită; citiți sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE. Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la